require "import" -- 导入依赖库
import "com.androlua.*" -- 导入AndroLua库
import "android.content.*" -- 导入Android内容库
import "android.net.*" -- 导入Android网络库
import "java.text.SimpleDateFormat" -- 导入Java文本格式化库
import "java.util.Date" -- 导入Java日期库
local url = "http://d.jieshuo.ltd/?f=beta&t=%E6%B5%8B%E8%AF%95%E7%89%88%E4%B8%8B%E8%BD%BD" -- 设置更新检查的URL
this.speak("喵~正在为笨喵检查更新！") -- 语音提示检查更新
Http.get(url, function(status, data) -- 发起HTTP GET请求
  if status == 200 then -- 如果请求成功
    local av = data:match(".+%-beta%-(%d+)") -- 从数据中匹配版本号
    local cv = this.getPackageManager().getPackageInfo(this.getPackageName(), 0).versionName -- 获取当前应用版本号
    if av and tonumber(av) > tonumber(cv) then -- 如果检测到新版本
      local releaseDate = data:match("rDate%s*=%s*'([^']+)'") -- 从数据中匹配发布日期
      local message = "有新版本啦 " .. av .. "，当前 " .. cv -- 创建新版本提示信息并加上当前版本号
      if releaseDate then -- 如果有发布日期
        local sdf = SimpleDateFormat("yyyy-MM-dd HH:mm:ss") -- 创建日期格式化对象
        local releaseDateObj = sdf.parse(releaseDate) -- 解析发布日期
        local formattedDate = SimpleDateFormat("MMMM dd, yyyy").format(releaseDateObj) -- 格式化发布日期
        message = message .. "\n发布日期是: " .. formattedDate -- 添加发布日期到提示信息
      end
      local dialog = LuaDialog(this) -- 创建对话框对象
      dialog.setTitle("喵~有新的更新可用哦") -- 设置对话框标题
      dialog.setMessage(message) -- 设置对话框消息内容
      dialog.setPositiveButton("立即更新", function() -- 设置对话框“下载”按钮
        local intent = Intent() -- 创建Intent对象
        intent.setAction(Intent.ACTION_VIEW) -- 设置Intent动作为查看
        intent.setData(Uri.parse(url)) -- 设置Intent数据为更新URL
        this.startActivity(intent) -- 启动Activity
      end)
      dialog.setNegativeButton("下次再说", nil) -- 设置对话框“下次再说”按钮
      dialog.show() -- 显示对话框
    else
      this.speak("已经是最新版啦！") -- 语音提示没有新版本
    end
  else
    this.speak("喵~检查出错了喵！请检查网络喵！") -- 语音提示连接错误
  end
end)
return true -- 返回true表示函数执行成功
